import { r as registerInstance, h } from './core-da60324f.js';
import './_commonjsHelpers-4ab098b6.js';
import { r as resolveJson } from './utils-b59928e3.js';

const PwcDynamicFormButtons = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    onConfigChanged(items) {
        this.resolvedItems = resolveJson(items);
    }
    componentWillLoad() {
        this.onConfigChanged(this.items);
    }
    constructButton(button) {
        return h("input", Object.assign({}, button));
    }
    render() {
        return (h("div", null, this.resolvedItems
            ? this.resolvedItems.map(button => this.constructButton(button))
            : ""));
    }
    static get watchers() { return {
        "items": ["onConfigChanged"]
    }; }
    static get style() { return ""; }
};

export { PwcDynamicFormButtons as pwc_dynamic_form_buttons };
